PatternDemo (BioJava Demos API)
Keywords: symbol.PatternDemo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## symbol
Class PatternDemo

    java.lang.Object
      symbol.PatternDemo

    public class PatternDemo

extends Object

Field Summary
`static int` | `ONEMILLION`
`static int` | `X_AXIS`

Constructor Summary
`PatternDemo(org.biojava.bio.seq.Sequence fileSeq, org.biojava.bio.symbol.SymbolList motif, String sub, String ins, String del)`

Method Summary
`void` | `arrangeSBs()`
`boolean` | `backtrack(int x, int y)`
`void` | `fillMatrix()`
`int` | `getTotalHits()`
`boolean` | `initialVector(int x, int y)`
`static void` | `main(String[] args)`
`void` | `printAlignment()`
`void` | `printHit()`
`void` | `printMatrix(int s)`
`void` | `printPath()`
`void` | `printScores()`
`boolean` | `probePaths(int x, int y)`
`void` | `resetPath(Collection c)`
`void` | `resetScores()`
`void` | `setFileSeqIndices()`
`boolean` | `sidFailure()`
`void` | `startBacktrack()`
`void` | `startSearch()`
`void` | `updateScores()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONEMILLION

    public static final int ONEMILLION

See Also:
  Constant Field Values

### X_AXIS

    public static final int X_AXIS

See Also:
  Constant Field Values

Constructor Detail

### PatternDemo

    public PatternDemo(org.biojava.bio.seq.Sequence fileSeq,
                       org.biojava.bio.symbol.SymbolList motif,
                       String sub,
                       String ins,
                       String del)
                throws Exception

Throws:
  `Exception`

Method Detail

### fillMatrix

    public void fillMatrix()
                    throws org.biojava.bio.BioException

  Throws:
    `org.biojava.bio.BioException`

### printMatrix

    public void printMatrix(int s)

### backtrack

    public boolean backtrack(int x,
                             int y)

### resetPath

    public void resetPath(Collection c)

### sidFailure

    public boolean sidFailure()

### initialVector

    public boolean initialVector(int x,
                                 int y)

### probePaths

    public boolean probePaths(int x,
                              int y)

### resetScores

    public void resetScores()

### printScores

    public void printScores()

### getTotalHits

    public int getTotalHits()

### startBacktrack

    public void startBacktrack()

### startSearch

    public void startSearch()
                     throws Exception

  Throws:
    `Exception`

### setFileSeqIndices

    public void setFileSeqIndices()

### printAlignment

    public void printAlignment()

### arrangeSBs

    public void arrangeSBs()

### printPath

    public void printPath()

### printHit

    public void printHit()

### updateScores

    public void updateScores()

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD